body {
    background: black;
    margin: 0px auto;
    padding: 0px 0px;
}
main {
    display: flex;
    flex-direction: column;
    width: 90%;
    margin: 30px auto;
    min-height: 100vh;
}
.title {
    display: flex;
    justify-content: center;
    color: rgb(0, 168, 225);
    font: 48px Inter;
    font-weight: 100;
}
input:focus {
    outline: 0;
}
.inputs {
    display: flex;
    flex-direction: column;
    width: 90%;
    background-color: rgb(2,0,36);
    border-radius: 30px;
    border: 1px solid rgb(0, 168, 225);
    margin: 30px auto;
}
.color_and_size {
    display: flex;
}
hr {
    background-color: rgba(0, 168, 225, 0.5);
    height: 1px;
    width: 100%;
    border: 0;
    margin: 0;
}
.input_color, .input_size, .input_data {
    display: flex;
    justify-content: space-between;
    padding: 15px 50px;
    padding-bottom: 25px;
}
.colors_and_intensity {
    display: flex;
    grid-gap: 25px;
}
.input_size {
    flex-direction: column;
    border-left: 1px solid rgba(0, 168, 225, 0.5);
}
.select_color {
    position: relative;
    background-color: rgb(0, 167, 47);
    height: min-content;
    width: min-content;
    border-radius: 50%;
    margin: auto 0px;
}
.select_color img {
    position: absolute;
    top: 16.5px;
    left: 17px;
}
.select_color input {
    width: 54px;
    height: 54px;
    opacity: 0;
}
.input_title {
    display: flex;
    justify-content: left;
    color: rgb(0, 168, 225);
    font: 24px Inter;
    font-weight: 300;
    margin-bottom: 30px;
}
.colors {
    display: flex;
    width: 500px;
    margin: auto 0px;
}
.color1, .color2, .color3, .color4, .color5 {
    width: 100%;
    height: 54px;
}
.input_intensity_color input {
    font: 24px Inter;
    padding: 8px;
    width: 60px;
    height: 26px;
    text-align: center;
}
.input_intensity_color p {
    font: 24px Inter;
    margin: 0;
    margin-left: 6px;
}
.input_width, .input_height {
    display: flex;
    flex-direction: column;
    color: white;
}
.input_width input, .input_height input {
    font: 24px Inter;
    padding: 8px;
    width: 100px;
    height: 26px;
    text-align: center;
}
.input_width p, .input_height p {
    text-align: right;
    margin-top: 4px;
    margin-bottom: 0px;
}
.input_data {
    display: flex;
    flex-direction: column;
}
.data_list {
    display: flex;
    flex-direction: column;
    grid-gap: 20px;
    margin: 10px 0px;
}
.data_element_and_delete {
    display: flex;
    grid-gap: 15px;
    align-items: center;
}
.data_element {
    display: flex;
    align-items: center;
    grid-gap: 90px;
    height: 70px;
    width: 100%;
    font: 24px Inter;
    color: rgb(2,0,36);
    padding: 5px 20px;
    padding-right: 25px;
    border-radius: 15px;
}
.data_element input {
    font: 24px Inter;
    color: rgb(2,0,36);
    background: none;
    padding: 5px 10px;
    height: min-content;
    border: 0;
    border-bottom: 2px solid rgb(2,0,36);
}
.name_and_font_size {
    display: flex;
    width: 100%;
}
.data_element .name {
    width: 100%;
    padding: 8px;
}
.percent_and_font_size {
    display: flex;
    align-items: center;
}
.data_element .percent {
    width: 60px;
    padding: 8px;
    padding-bottom: 6px;
    padding-right: 80px;
    text-align: center;
}
.input_name_font_size input, .input_percent_font_size input {
    font: 24px Inter;
    border: 2px solid rgb(2,0,36);
    background-color: rgba(255,255,255,0.5);
    padding: 8px;
    width: 70px;
    height: 26px;
    text-align: center;
}
.input_percent_font_size input {
    margin-left: 55px;
}
.input_name_font_size p, .input_percent_font_size p {
    font: 24px Inter;
    margin: 0;
    margin-left: 6px;
}
.input_btns {
    display: flex;
    justify-content: space-between;
    margin: 30px 50px;
}
.input_btns button {
    font: 20px Inter;
    border-radius: 15px;
    padding: 10px 30px;
    background: none;
}
.btn_delete {
    border: 2px solid rgb(255, 85, 85);
    border-radius: 15px;
    background: none;
    height: 56px;
    width: 56px;
}
.btn_add, .btn_create, .btn_save {
    border: 2px solid rgb(0, 168, 225);
    color: rgb(0, 168, 225);
}
.delete_all_and_reset {
    display: flex;
    grid-gap: 20px;
}
.btn_delete_all, .btn_reset {
    border: 2px solid rgb(255, 85, 85);
    color: rgb(255, 85, 85);
}
.btn_save {
    display: flex;
    justify-content: center;
    width: 450px;
    margin: 0px auto;
    font: 26px Inter;
    border-radius: 15px;
    padding: 10px 30px;
    background: none;
}
.error_message {
    display: none;
    width: 60%;
    margin: 0px auto;
    margin-bottom: 60px;
    justify-content: center;
    text-align: center;
    border-radius: 15px;
    padding: 30px 50px;
    border: 2px solid rgb(255, 85, 85);
    color: rgb(255, 85, 85);
    font: 26px Inter;
}
svg {
    display: flex;
    margin: 60px auto;
}
.popup {
    display: none;
}

/* Large desktops and laptops */
@media (min-width: 1200px) and (max-width: 1650px) {
    .colors {
        width: 350px;
    }
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .title p {
        font: 40px Inter;
        font-weight: 100;
    }
    .color_and_size {
        flex-direction: column;
    }
    .colors {
        width: 350px;
    }
    .input_color {
        padding-bottom: 35px;
    }
    .input_size {
        padding: 10px 50px;
        padding-bottom: 25px;
        flex-direction: column;
        border-left: 0;
        border-top: 1px solid rgba(0, 168, 225, 0.5);
    }
    .error_message {
        width: 70%;
    }
}

/* Portrait tablets and small desktops */
@media (min-width: 768px) and (max-width: 991px) {
    .title p {
        font: 40px Inter;
        font-weight: 100;
        margin: 30px 0px;
    }
    .color_and_size {
        flex-direction: column;
    }
    .colors {
        width: 350px;
    }
    .input_color {
        padding-bottom: 35px;
    }
    .input_size {
        padding: 10px 50px;
        padding-bottom: 25px;
        flex-direction: column;
        border-left: 0;
        border-top: 1px solid rgba(0, 168, 225, 0.5);
    }
    .data_element {
        flex-direction: column;
        grid-gap: 8px;
        height: min-content;
        padding: 10px 25px;
    }
    .percent_and_font_size {
        width: 100%;
    }
    .input_btns {
        flex-direction: column;
    }
    .input_btns button {
        font: 20px Inter;
        padding: 15px 20px;
    }
    .btn_delete_all, .btn_reset {
        margin-top: 50px;
        width: 100%;
    }
    .btn_save {
        width: 400px;
        font: 22px Inter;
        padding: 15px 20px;
    }
    .error_message {
        width: 70%;
        padding: 30px;
        font: 22px Inter;
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 481px) and (max-width: 767px) {
    main {
        width: 95%;
    }
    .title p {
        font: 30px Inter;
        font-weight: 100;
        margin: 20px 0px;
    }
    .color_and_size {
        flex-direction: column;
    }
    .colors_and_intensity {
        flex-direction: column;
        grid-gap: 25px;
    }
    .colors {
        width: 250px;
    }
    .input_color {
        padding-bottom: 35px;
    }
    .input_size {
        padding: 10px 50px;
        padding-bottom: 25px;
        flex-direction: column;
        border-left: 0;
        border-top: 1px solid rgba(0, 168, 225, 0.5);
    }
    .data_element {
        flex-direction: column;
        grid-gap: 8px;
        height: min-content;
        padding: 10px 15px;
        font: 20px Inter;
    }
    .data_element input {
        font: 20px Inter;
    }
    .input_name_font_size input, .input_percent_font_size input {
        font: 20px Inter;
        padding: 8px;
        width: 40px;
        height: 22px;
    }
    .input_percent_font_size input {
        margin-left: 20px;
    }
    .input_name_font_size p, .input_percent_font_size p {
        font: 20px Inter;
        margin-left: 6px;
    }
    .percent_and_font_size {
        width: 100%;
    }
    .btn_delete {
        height: 50px;
        width: 50px;
    }
    .input_btns {
        flex-direction: column;
    }
    .input_btns button {
        font: 20px Inter;
        padding: 15px 20px;
    }
    .delete_all_and_reset {
        flex-direction: column;
    }
    .btn_delete_all {
        margin-top: 50px;
        width: 100%;
    }
    .btn_reset {
        margin-top: 0px;
        width: 100%;
    }
    .btn_save {
        width: 350px;
        font: 20px Inter;
        padding: 15px 20px;
    }
    .error_message {
        width: 70%;
        padding: 20px;
        font: 22px Inter;
    }
}

/* Portrait phones and smaller */
@media (min-width: 321px) and (max-width: 480px) {
    main {
        width: 95%;
    }
    .title p {
        font: 22px Inter;
        font-weight: 100;
        margin: 10px 0px;
    }
    .color_and_size {
        flex-direction: column;
    }
    .colors_and_intensity {
        flex-direction: column;
        grid-gap: 25px;
    }
    .colors {
        width: 250px;
    }
    .input_color {
        padding-bottom: 35px;
    }
    .input_size {
        padding: 10px 50px;
        padding-bottom: 25px;
        flex-direction: column;
        border-left: 0;
        border-top: 1px solid rgba(0, 168, 225, 0.5);
    }
    .data_element {
        flex-direction: column;
        grid-gap: 8px;
        height: min-content;
        padding: 10px 15px;
        font: 20px Inter;
    }
    .data_element input {
        font: 20px Inter;
    }
    .input_name_font_size input, .input_percent_font_size input {
        font: 20px Inter;
        padding: 8px;
        width: 40px;
        height: 22px;
    }
    .input_percent_font_size input {
        margin-left: 20px;
    }
    .input_name_font_size p, .input_percent_font_size p {
        font: 20px Inter;
        margin-left: 6px;
    }
    .percent_and_font_size {
        width: 100%;
    }
    .btn_delete {
        height: 50px;
        width: 50px;
    }
    .input_btns {
        flex-direction: column;
    }
    .input_btns button {
        font: 20px Inter;
        padding: 15px 20px;
    }
    .delete_all_and_reset {
        flex-direction: column;
    }
    .btn_delete_all {
        margin-top: 50px;
        width: 100%;
    }
    .btn_reset {
        margin-top: 0px;
        width: 100%;
    }
    .inputs {
        transform: scale(0.7);
        width: 130%;
        margin: -180px -54px;
    }
    .btn_save {
        width: 200px;
        font: 18px Inter;
        padding: 15px;
    }
    .error_message {
        width: 60%;
        padding: 20px;
        font: 16px Inter;
    }
}

/* Iphone 5 */
@media (max-width: 320px) {
    main {
        width: 95%;
    }
    .title p {
        font: 22px Inter;
        font-weight: 100;
        margin: 10px 0px;
    }
    .color_and_size {
        flex-direction: column;
    }
    .colors_and_intensity {
        flex-direction: column;
        grid-gap: 25px;
    }
    .colors {
        width: 250px;
    }
    .input_color {
        padding-bottom: 35px;
    }
    .input_size {
        padding: 10px 50px;
        padding-bottom: 25px;
        flex-direction: column;
        border-left: 0;
        border-top: 1px solid rgba(0, 168, 225, 0.5);
    }
    .data_element {
        flex-direction: column;
        grid-gap: 8px;
        height: min-content;
        padding: 10px 15px;
        font: 20px Inter;
    }
    .data_element input {
        font: 20px Inter;
    }
    .input_name_font_size input, .input_percent_font_size input {
        font: 20px Inter;
        padding: 8px;
        width: 40px;
        height: 22px;
    }
    .input_percent_font_size input {
        margin-left: 20px;
    }
    .input_name_font_size p, .input_percent_font_size p {
        font: 20px Inter;
        margin-left: 6px;
    }
    .percent_and_font_size {
        width: 100%;
    }
    .btn_delete {
        height: 50px;
        width: 50px;
    }
    .input_btns {
        flex-direction: column;
    }
    .input_btns button {
        font: 20px Inter;
        padding: 15px 20px;
    }
    .delete_all_and_reset {
        flex-direction: column;
    }
    .btn_delete_all {
        margin-top: 50px;
        width: 100%;
    }
    .btn_reset {
        margin-top: 0px;
        width: 100%;
    }
    .inputs {
        transform: scale(0.7);
        width: 140%;
        margin: -180px -62px;
    }
    .btn_save {
        width: 200px;
        font: 18px Inter;
        padding: 15px;
    }
    .error_message {
        width: 60%;
        padding: 20px;
        font: 16px Inter;
    }
}